<template>
    <div>
        <select v-model="route" class="form-select" aria-label="Default select example">
            <option selected>Seleccione una ruta</option>
            <option v-for="route in router.getRoutes()" :value="route.name">{{ route.name }}</option>
        </select>
        <button @click="addRoute">Agregar</button>
    </div>
</template>
  
<script setup lang="ts">
import { inject, ref } from "vue";
import { useRouter } from "vue-router";
import { BreadCrumbKey, BreadCrumbRoute } from "../../../src/index";

const router = useRouter();
const route = ref<string>(null);

const breadcrumb = inject(BreadCrumbKey).value;
 
function addRoute(){
    breadcrumb.addRoute(new BreadCrumbRoute(route.value));
}



</script>

<style></style>
  